<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'es', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['compressor_none'] = 'Sin compresión.';
$string['compressor_php_gzip'] = 'Usar compresión gzip.';
$string['compressor_php_zstd'] = 'Usar la compresión estándar Z.';
$string['database'] = 'Número de base de datos';
$string['database_help'] = 'Lo ideal sería especificar un número de base de datos único para cada tienda.
Las diferentes instalaciones nunca deben compartir una base de datos de Redis.';
$string['errordatabasenegative'] = 'La base de datos debe ser 0 o un número entero positivo.';
$string['password'] = 'Contraseña';
$string['password_help'] = 'Esto establece la contraseña del servidor Redis.';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Prefijo clave';
$string['prefix_help'] = 'Este prefijo se utiliza para todos los nombres de clave en el servidor de Redis. * Si solo tiene una instancia de Totara utilizando este servidor, puede dejar este valor predeterminado. * Debido a las restricciones de longitud de la clave, se permite un máximo de cinco caracteres.';
$string['prefixinvalid'] = 'Prefijo inválido. Sólo puede utilizar a-z A-Z 0-9-_.';
$string['read_password'] = 'Leer contraseña de réplica';
$string['read_password_help'] = 'Esto establece la contraseña del servidor Redis de réplica de lectura';
$string['read_server'] = 'Leer servidor de réplica';
$string['read_server_help'] = 'Si tiene un entorno con réplicas de lectura de redis, especifique aquí la dirección del equilibrador de carga de la réplica';
$string['sentinelhosts'] = 'Sentinel hosts';
$string['sentinelhosts_help'] = 'Redis Sentinel es una solución de alta disponibilidad para Redis. Proporciona supervisión, conmutación por error y simplifica la configuración. Utilice una lista de centinelas separados por comas con el formato &quot;host1: puerto, host2: puerto, host3: puerto&quot;, los sockets Unix no son compatibles. Cuando se especifica, la opción Servidor no se usa y la opción Contraseña se usa para el maestro devuelto por Sentinel.';
$string['sentinelmaster'] = 'Nombre del maestro Sentinel';
$string['sentinelmaster_help'] = 'Nombre del maestro interno en la configuración de Redis Sentinel';
$string['sentinelpassword'] = 'Contraseña de Sentinel';
$string['serializer_igbinary'] = 'El serializador igbinary.';
$string['serializer_php'] = 'El serializador PHP por defecto.';
$string['server'] = 'Servidor';
$string['server_help'] = 'Esto establece el nombre de host o la dirección IP del servidor Redis para usar.';
$string['test_database'] = 'Base de datos de prueba de Redis';
$string['test_database_desc'] = 'Número de base de datos de prueba de Redis en el servidor de prueba.';
$string['test_password'] = 'Probar la contraseña del servidor';
$string['test_password_desc'] = 'Contraseña del servidor de prueba redis.';
$string['test_read_password'] = 'Redis leer contraseña de réplica';
$string['test_read_password_desc'] = 'Redis lee la contraseña de la réplica.';
$string['test_read_server'] = 'Servidor de prueba de réplica de lectura de Redis';
$string['test_read_server_desc'] = 'Redis lee el servidor de réplica para usarlo en las pruebas.';
$string['test_sentinelhosts'] = 'Redis prueba los hosts Sentinel';
$string['test_sentinelhosts_desc'] = 'Hosts Redis Sentinel utilizados para pruebas MUC.';
$string['test_sentinelmaster'] = 'Redis prueba el nombre del maestro de Sentinel';
$string['test_sentinelmaster_desc'] = 'Nombre maestro de Redis Sentinel utilizado para las pruebas MUC.';
$string['test_sentinelpassword'] = 'Redis prueba la contraseña de Sentinel';
$string['test_sentinelpassword_desc'] = 'Contraseña de Redis Sentinel utilizada para las pruebas MUC.';
$string['test_serializer'] = 'Serializador';
$string['test_serializer_desc'] = 'Serializador para utilizar para la prueba.';
$string['test_server'] = 'Servidor de pruebas Redis';
$string['test_server_desc'] = 'Servidor Redis para utilizar para testing.';
$string['usecompressor'] = 'Usar compresor';
$string['usecompressor_help'] = 'Especificar el compresor que se usará después de la serialización. Se realiza a nivel de la API de Totara Cache, no a nivel de php-redis.';
$string['useserializer'] = 'Usar serializador';
$string['useserializer_help'] = 'Especifica el serializador a usar para serializar. Los serializadores válidos son Redis :: SERIALIZER_PHP o Redis :: SERIALIZER_IGBINARY. Este último es compatible solo cuando phpredis está configurado con la opción --enable-redis-igbinary y la extensión igbinary está cargada.';
$string['useserializer_warning'] = 'El serializador no debe cambiarse si ya hay datos en la caché.';
