<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'es', branch 'MOODLE_36_STABLE'
 *
 * @package   search_solr
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configsettings'] = 'Configuración de Solr';
$string['connectionerror'] = 'El servidor Solr especificado no está disponible o el índice especificado no existe';
$string['connectionsettings'] = 'Configuraciones de conexión';
$string['discardsearchfieldnames'] = 'Descartar los nombres de los campos de búsqueda predeterminados del sitio';
$string['discardsearchfieldnames_help'] = 'Cuando esta configuración está habilitada, los nombres de campo de búsqueda predeterminados no se enviarán al motor de búsqueda de Solr, lo que permitirá a Solr especificar sus propios nombres de campo de búsqueda. Esto puede mejorar la relevancia de los resultados de búsqueda generados por Solr. Cuando está deshabilitado, se envían los nombres de los campos de búsqueda predeterminados, lo que obliga a Solr a ignorar los campos de búsqueda definidos en el motor.';
$string['errorcreatingschema'] = 'Error al crear el esquema de Solr: {$a}';
$string['errorvalidatingschema'] = 'Error al validar el esquema de Solr: el campo {$a->fieldname} no existe. <a href="{$a->setupurl}">Siga este enlace</a> para configurar los campos obligatorios.';
$string['extensionerror'] = 'La extensión PHP de Apache Solr no está instalada. Consulte la documentación';
$string['fileindexing'] = 'Habilitar la indexación de archivos';
$string['fileindexing_help'] = 'Si tu instalación de Solr lo soporta, esta característica permite a Moodle enviar ficheros para que sean indexados.';
$string['fileindexsettings'] = 'Configuración de indexación de archivos';
$string['maxindexfilekb'] = 'Tamaño máximo de archivo para indexar (kB)';
$string['maxindexfilekb_help'] = 'Los archivos de más de este número de kilobytes no se incluirán en la indexación de búsqueda. Si se establece en cero, se indexarán los archivos de cualquier tamaño.';
$string['minimumsolr4'] = 'Solr 4.0 es la versión mínima requerida para Totara';
$string['missingconfig'] = 'Su servidor Apache Solr aún no está configurado en Totara.';
$string['multivaluedfield'] = 'El campo &quot;{$a}&quot; devolvió una matriz en lugar de un escalar. Elimine el índice actual, cree uno nuevo y ejecute setup_schema.php antes de indexar los datos en Solr.';
$string['nodatafromserver'] = 'No hay datos del servidor';
$string['pluginname'] = 'Solr';
$string['schemafieldautocreated'] = 'El campo &quot;{$a}&quot; ya existe en el esquema de Solr. Probablemente olvidó ejecutar este script antes de que Solr creara automáticamente los datos y los campos de indexación. Elimine el índice actual, cree uno nuevo y ejecute setup_schema.php nuevamente antes de indexar los datos en Solr.';
$string['schemasetupfromsolr5'] = 'La versión de su servidor Solr es inferior a 5.0. Este script solo puede configurar su esquema si su versión de Solr es 5.0 o superior. Debe configurar manualmente los campos en su esquema de acuerdo con search_solrdocument :: get_default_fields_definition ().';
$string['searchinfo'] = 'Consultas de búsqueda';
$string['searchinfo_help'] = 'El campo que se buscará puede especificarse anteponiendo a la consulta de búsqueda \'título:\', \'contenido:\', \'nombre:\' o \'introducción:\'. Por ejemplo, la búsqueda de \'título: noticias\' arrojaría resultados con la palabra \'noticias\' en el título. Los operadores booleanos (\'Y\', \'O\', \'NO\') se pueden usar para combinar o excluir palabras clave. Se pueden utilizar caracteres comodín (\'*\' o \'?\') Para representar caracteres en la consulta de búsqueda';
$string['setupok'] = 'El esquema está listo para usarse.';
$string['solrauthpassword'] = 'Contraseña de autenticación HTTP';
$string['solrauthuser'] = 'Nombre de usuario de autenticación HTTP';
$string['solrhttpconnectionport'] = 'Port';
$string['solrhttpconnectiontimeout'] = 'Se acabó el tiempo';
$string['solrhttpconnectiontimeout_desc'] = 'El tiempo de espera de la conexión HTTP es el tiempo máximo en segundos permitido para la operación de transferencia de datos HTTP.';
$string['solrindexname'] = 'Nombre del índice';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'El motor Solr no es el motor de búsqueda configurado';
$string['solrsecuremode'] = 'Modo seguro';
$string['solrserverhostname'] = 'Nombre de host';
$string['solrserverhostname_desc'] = 'Nombre de dominio del servidor Solr.';
$string['solrsetting'] = 'Configuración de solr';
$string['solrsslcainfo'] = 'Nombre de certificados de CA SSL';
$string['solrsslcainfo_desc'] = 'Nombre de archivo que contiene uno o más certificados de CA para verificar el par con';
$string['solrsslcapath'] = 'Ruta de certificados de CA SSL';
$string['solrsslcapath_desc'] = 'Ruta de directorio que contiene varios certificados de CA para verificar compañeros/as con';
$string['solrsslcert'] = 'Certificado SSL';
$string['solrsslcert_desc'] = 'Nombre de archivo a un certificado privado con formato PEM';
$string['solrsslkey'] = 'Clave SSL';
$string['solrsslkey_desc'] = 'Nombre de archivo a una clave privada con formato PEM';
$string['solrsslkeypassword'] = 'Contraseña de la clave SSL';
$string['solrsslkeypassword_desc'] = 'Contraseña para archivo de clave privada con formato PEM';
